# DaprProtos.PubsubSubscriptionRule.Builder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class DaprProtos.PubsubSubscriptionRule.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscriptionRule.Builder>
      - - io.dapr.v1.DaprProtos.PubsubSubscriptionRule.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.PubsubSubscriptionRuleOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.PubsubSubscriptionRule

    public static final class DaprProtos.PubsubSubscriptionRule.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscriptionRule.Builder>
    implements DaprProtos.PubsubSubscriptionRuleOrBuilder

Protobuf type `dapr.proto.runtime.v1.PubsubSubscriptionRule`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`DaprProtos.PubsubSubscriptionRule.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.PubsubSubscriptionRule` `build()`
`DaprProtos.PubsubSubscriptionRule` `buildPartial()`
`DaprProtos.PubsubSubscriptionRule.Builder` `clear()`
`DaprProtos.PubsubSubscriptionRule.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.PubsubSubscriptionRule.Builder` `clearMatch()` `string match = 1;`
`DaprProtos.PubsubSubscriptionRule.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.PubsubSubscriptionRule.Builder` `clearPath()` `string path = 2;`
`DaprProtos.PubsubSubscriptionRule.Builder` `clone()`
`DaprProtos.PubsubSubscriptionRule` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getMatch()` `string match = 1;`
`com.google.protobuf.ByteString` `getMatchBytes()` `string match = 1;`
`String` `getPath()` `string path = 2;`
`com.google.protobuf.ByteString` `getPathBytes()` `string path = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`DaprProtos.PubsubSubscriptionRule.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.PubsubSubscriptionRule.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`DaprProtos.PubsubSubscriptionRule.Builder` `mergeFrom​(DaprProtos.PubsubSubscriptionRule other)`
`DaprProtos.PubsubSubscriptionRule.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.PubsubSubscriptionRule.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.PubsubSubscriptionRule.Builder` `setMatch​(String value)` `string match = 1;`
`DaprProtos.PubsubSubscriptionRule.Builder` `setMatchBytes​(com.google.protobuf.ByteString value)` `string match = 1;`
`DaprProtos.PubsubSubscriptionRule.Builder` `setPath​(String value)` `string path = 2;`
`DaprProtos.PubsubSubscriptionRule.Builder` `setPathBytes​(com.google.protobuf.ByteString value)` `string path = 2;`
`DaprProtos.PubsubSubscriptionRule.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`DaprProtos.PubsubSubscriptionRule.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscriptionRule.Builder>`

#### clear

    public DaprProtos.PubsubSubscriptionRule.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscriptionRule.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscriptionRule.Builder>`

#### getDefaultInstanceForType

    public DaprProtos.PubsubSubscriptionRule getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public DaprProtos.PubsubSubscriptionRule build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public DaprProtos.PubsubSubscriptionRule buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public DaprProtos.PubsubSubscriptionRule.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscriptionRule.Builder>`

#### setField

    public DaprProtos.PubsubSubscriptionRule.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                              Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscriptionRule.Builder>`

#### clearField

    public DaprProtos.PubsubSubscriptionRule.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscriptionRule.Builder>`

#### clearOneof

    public DaprProtos.PubsubSubscriptionRule.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscriptionRule.Builder>`

#### setRepeatedField

    public DaprProtos.PubsubSubscriptionRule.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                      int index,
                                                                      Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscriptionRule.Builder>`

#### addRepeatedField

    public DaprProtos.PubsubSubscriptionRule.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                                      Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscriptionRule.Builder>`

#### mergeFrom

    public DaprProtos.PubsubSubscriptionRule.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.PubsubSubscriptionRule.Builder>`

#### mergeFrom

    public DaprProtos.PubsubSubscriptionRule.Builder mergeFrom​(DaprProtos.PubsubSubscriptionRule other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscriptionRule.Builder>`

#### mergeFrom

    public DaprProtos.PubsubSubscriptionRule.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                               com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                        throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.PubsubSubscriptionRule.Builder>`
Throws:
  `IOException`

#### getMatch

    public String getMatch()

`string match = 1;`

Specified by:
  `getMatch` in interface `DaprProtos.PubsubSubscriptionRuleOrBuilder`
Returns:
  The match.

#### getMatchBytes

    public com.google.protobuf.ByteString getMatchBytes()

`string match = 1;`

Specified by:
  `getMatchBytes` in interface `DaprProtos.PubsubSubscriptionRuleOrBuilder`
Returns:
  The bytes for match.

#### setMatch

    public DaprProtos.PubsubSubscriptionRule.Builder setMatch​(String value)

`string match = 1;`

Parameters:
  `value` - The match to set.
Returns:
  This builder for chaining.

#### clearMatch

    public DaprProtos.PubsubSubscriptionRule.Builder clearMatch()

`string match = 1;`

Returns:
  This builder for chaining.

#### setMatchBytes

    public DaprProtos.PubsubSubscriptionRule.Builder setMatchBytes​(com.google.protobuf.ByteString value)

`string match = 1;`

Parameters:
  `value` - The bytes for match to set.
Returns:
  This builder for chaining.

#### getPath

    public String getPath()

`string path = 2;`

Specified by:
  `getPath` in interface `DaprProtos.PubsubSubscriptionRuleOrBuilder`
Returns:
  The path.

#### getPathBytes

    public com.google.protobuf.ByteString getPathBytes()

`string path = 2;`

Specified by:
  `getPathBytes` in interface `DaprProtos.PubsubSubscriptionRuleOrBuilder`
Returns:
  The bytes for path.

#### setPath

    public DaprProtos.PubsubSubscriptionRule.Builder setPath​(String value)

`string path = 2;`

Parameters:
  `value` - The path to set.
Returns:
  This builder for chaining.

#### clearPath

    public DaprProtos.PubsubSubscriptionRule.Builder clearPath()

`string path = 2;`

Returns:
  This builder for chaining.

#### setPathBytes

    public DaprProtos.PubsubSubscriptionRule.Builder setPathBytes​(com.google.protobuf.ByteString value)

`string path = 2;`

Parameters:
  `value` - The bytes for path to set.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final DaprProtos.PubsubSubscriptionRule.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscriptionRule.Builder>`

#### mergeUnknownFields

    public final DaprProtos.PubsubSubscriptionRule.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.PubsubSubscriptionRule.Builder>`